import java.util.*;

class Cuboctahedron extends Polys {
/*

CUBOCTAHEDRON    (volume = 20)
=============

Vertices             Edges

O = I+J = 2 1 1 0    (O,P)(P,R)(R,Q)(Q,O)
P = I+K = 2 1 0 1    (O,W)(W,S)(S,Z)(Z,O)
Q = I+L = 1 2 1 0    (Q,W)(W,U)(U,X)(X,Q)
R = I+M = 1 2 0 1    (P,Z)(Z,T)(T,Y)(Y,P)
S = N+J = 1 0 2 1    (R,X)(X,V)(V,Y)(Y,R)
T = N+K = 1 0 1 2    (T,S)(S,U)(U,V)(V,T)
U = N+L = 0 1 2 1
V = N+M = 0 1 1 2
W = J+L = 1 1 2 0
X = L+M = 0 2 1 1
Y = M+K = 1 1 0 2
Z = K+J = 1 0 1 2


	Last change:  KU   21 Mar 1999    3:25 pm
*/
     Cuboctahedron(){

       volume = 20;
       facecolor = "Yellow";

       vdict = new Hashtable(12);
       addverts("OPQRSTUVWXYZ");

       edict = new Hashtable(24);
       addedges(new String[]{
	"OP","PR","RQ","QO",
	"OW","WS","SZ","ZO",
	"QW","WU","UX","XQ",
	"PZ","ZT","TY","YP",
	"RX","XV","VY","YR",
	"TS","SU","UV","VT"});

       fdict = new Hashtable(14);
       addfaces(new String[]{
	"OPRQ","OWSZ","QWUX","PZTY","RXVY","TSUV",
	"OQW","OZP","PRY","RQZ","WSU","UXV","YTV","ZTS"});
    }
}
