import java.util.*;

class InvTetra extends Polys {

/*
INVERTED TETRAHEDRON
===========

Vertices        Edges

E  0 1 1 1      (E,F)
F  1 0 1 1      (E,G)
G  1 1 0 1      (E,H)
H  1 1 1 0      (F,G)
                (F,H)
                (G,H)

	Last change:  KU   21 Mar 1999    3:36 pm
*/

    InvTetra(){
       volume = 1;
       facecolor = "Black";

       vdict = new Hashtable(4);
       addverts("EFGH");

       edict = new Hashtable(6);
       addedges(new String[]{
	"EF","EG","EH","FG","FH","GH"});

       fdict = new Hashtable(4);
       addfaces(new String[]{
	"EFG","EFH","EGH","FGH"});
    }

}

