import java.util.*;

class Octahedron extends Polys {
/*

OCTAHEDRON  (volume = 4)
==========

Vertices              Edges

I = A+B = 1 1 0 0     (I,J)(I,K)(I,L)(I,M)
J = A+C = 1 0 1 0     (N,J)(N,K)(N,L)(N,M)
K = A+D = 1 0 0 1     (J,L)(L,M)(M,K)(K,J)
L = B+C = 0 1 1 0
M = B+D = 0 1 0 1
N = C+D = 0 0 1 1


	Last change:  KU   21 Mar 1999    3:32 pm
*/
     Octahedron(){
       volume = 4;
       facecolor = "Red";

       vdict = new Hashtable(6);
       addverts("IJKLMN");

       edict = new Hashtable(12);
       addedges(new String[]{
	"IJ","IK","IL","IM",
	"NJ","NK","NL","NM",
	"JL","LM","MK","KJ"});

       fdict = new Hashtable(8);
       addfaces(new String[]{
	"IJK","ILM","IJL","IMK","NJK","NLM","NJK","NMK"});
    }
}
