import java.util.*;

class Rhdodecahedron extends Polys {
/*

RHOMBIC DODECAHEDRON (volume = 6)
====================

Vertices        Edges

A  1 0 0 0      (I,A)(I,B)(I,G)(I,H)
B  0 1 0 0      (J,A)(J,C)(J,F)(J,H)
C  0 0 1 0      (K,A)(K,D)(K,F)(K,G)
D  0 0 0 1      (L,B)(L,C)(L,E)(L,H)
E  0 1 1 1      (M,B)(M,D)(M,E)(M,G)
F  1 0 1 1      (N,C)(N,D)(N,E)(N,F)
G  1 1 0 1
H  1 1 1 0
I  1 1 0 0
J  1 0 1 0
K  1 0 0 1
L  0 1 1 0
M  0 1 0 1
N  0 0 1 1

	Last change:  KU   21 Mar 1999    3:18 pm
*/
     Rhdodecahedron(){
       volume = 6;
       facecolor = "Blue";

       vdict = new Hashtable(14);
       addverts("ABCDEFGHIJKLMN");

       edict = new Hashtable(24);
       addedges(new String[]{
          "IA","IB","IG","IH",
          "JA","JC","JF","JH",
          "KA","KD","KF","KG",
          "LB","LC","LE","LH",
	  "MB","MD","MG","ME",
	  "NC","ND","NE","NF"});

       fdict = new Hashtable(12);
       addfaces(new String[]{
	  "NFJC","NFKD","NDME","NCLE",
	  "IAJH","IHLB","IBMG","IGKA",
	  "KFJA","KDMG","MBLE","LCJH"});
    }
}
