import java.util.*;

class Tetra extends Polys {

/*
TETRAHEDRON
===========

Vertices        Edges

A  1 0 0 0      (A,B)
B  0 1 0 0      (A,C)
C  0 0 1 0      (A,D)
D  0 0 0 1      (B,C)
                (B,D)
                (C,D)

	Last change:  KU   22 Mar 1999    6:33 pm
*/

    Tetra(){
       volume = 1;
       facecolor = "Orange";

       vdict = new Hashtable(4);
       addverts("ABCD");

       edict = new Hashtable(6);
       addedges(new String[]{"AB","AC","AD","BC","BD","CD"});

       fdict = new Hashtable(4);
       addfaces(new String[]{"ABC","ABD","ACD","BCD"});
    }
}

